#ifndef VDR_MPLAYERCLUSTER_SETUP_H
#define VDR_MPLAYERCLUSTER_SETUP_H

#include <vdr/plugin.h>

struct cClusterSetup {
	cClusterSetup(void);

	bool SetupParse(const char *Name, const char *Value);

	int  NumPreBufs;
	int  MinBufSize;
	int  RemoteNFS;
	char NFSPrefix[100];
	char RecodeIp[20];
	int  RecodePort;
	int  HideMenuEntry;
};

extern cClusterSetup ClusterSetup;

class cClusterMenuSetupPage: public cMenuSetupPage {
private:
	cClusterSetup m_NewClusterSetup;

	static const char IpChars[];
	static const char *PathChars;

protected:
	virtual void Store(void);

public:
	cClusterMenuSetupPage(void);
	virtual ~cClusterMenuSetupPage();
};

#endif // VDR_MPLAYERCLUSTER_SETUP_H
